<?php //Preguntas.php creado el 07/04/2010

if(isset($_GET["accion"])) {
    $accion = $_GET["accion"];
    if ($accion == "crearpregunta") { crearpregunta(); }
    elseif ($accion == "verpreguntas") { verpreguntas(); }
	elseif ($accion == "editarpregunta") { editarpregunta($id); }
	elseif ($accion == "eliminarpregunta") { eliminarpregunta($id); }
	}
else{ menu();}

function menu()
	{
		echo "<a href='index_profesor.php?opcion=preguntas&accion=crearpregunta'>Crear pregunta</a><br>";
		echo "<a href='index_profesor.php?opcion=preguntas&accion=verpreguntas'>Ver pregunta</a>";
	
	}
function crearpregunta()
	{
		if(isset($_POST['insertar']))
			{
				extract($_POST);
				$query = mysql_query("INSERT INTO preguntas (cod_profesor,nom_asignatura,tipo_pregunta,respuesta_profesor,texto_pregunta,posibles_respuestas) values ('$cod_profesor','$nom_asignatura','$tipo_pregunta','$respuesta_profesor','$texto_pregunta','$posibles_respuestas')") or die(mysql_error());
				header('location: index_profesor.php?opcion=principal');
			
			
			
			}
			
		else
			{
				echo "Aqui puedes crear la pregunta que desees<br>
				<form action='index_profesor.php?opcion=preguntas&accion=crearpregunta' method=post>
				Codigo profesor:<input type='text' name='cod_profesor'><br>
				Nombre de la asignatura:<input type='text' name='nom_asignatura'><br>
				Tipo de pregunta:<input type='text' name='tipo_pregunta'><br>
				Respuesta correcta:<input type='text' name='respuesta_profesor'><br>
				Texto de la pregunta:<input type='text' name=' texto_pregunta'><br>
				Posibles respuesta(separadas por comas)<input type='text' name='posibles_respuestas'><br>
				<input type='submit' name='insertar' value='Enviar'></form>";
			
			
			}
	}

function verpreguntas()
	{
	
		$query=mysql_query("SELECT * FROM preguntas");
	while ($extraigo=mysql_fetch_assoc($query)) 
		{ 
		$id=$extraigo['cod_pregunta'];
			echo "<ul>
					<li><a href='index_profesor.php?opcion=preguntas&accion=editarpregunta&id=".$id."'>".$id."</a></li>
					<li>".$extraigo['cod_profesor']."</li>
					<li>".$extraigo['nom_asignatura']."</li>
					<li>".$extraigo['tipo_pregunta']."</li>
					<li>".$extraigo['respuesta_profesor']."</li>
					<li>".$extraigo['texto_pregunta']."</li>
					<li>".$extraigo['posibles_respuestas']."</li>
					<li><a href='index_profesor.php?opcion=preguntas&accion=eliminarpregunta&id=".$id."'>Borrar pregunta</a></li>

				</ul><br>"; 
				}
	
	
	}

function editarpregunta($id) 
	{
	
	if(isset($_POST['actualizar']))
		{
			$id=$_GET['id'];
			extract($_POST);
			$query = mysql_query("Update preguntas SET 
			cod_profesor='$cod_profesor',nom_asignatura='$nom_asignatura',tipo_pregunta='$tipo_pregunta',respuesta_profesor='$respuesta_profesor', texto_pregunta='$texto_pregunta',posibles_respuestas='$posibles_respuestas' 
			where cod_pregunta=".$id."") or die(mysql_error());
			header('location: index_profesor.php?opcion=preguntas');
		}
	else
		{
			$id=$_GET['id'];
			$edito=mysql_query("SELECT * FROM preguntas where cod_pregunta=".$id."");
			$extraigoedito=mysql_fetch_assoc($edito);
			echo "Estas editando la pregunta con codigo ".$id."<br>
			<form action='index_profesor.php?opcion=preguntas&accion=editarpregunta&id=$id' method=post>
			Codigo profesor:<input type='text' name='cod_profesor' value='".$extraigoedito['cod_profesor']."'><br>
			Nombre de la asignatura:<input type='text' name='nom_asignatura' value='".$extraigoedito['nom_asignatura']."'><br>
			Tipo de pregunta:<input type='text' name='tipo_pregunta' value='".$extraigoedito['tipo_pregunta']."'><br>
			Respuesta correcta:<input type='text' name='respuesta_profesor' value='".$extraigoedito['respuesta_profesor']."'><br>
			Texto de la pregunta:<input type='text' name='texto_pregunta' value='".$extraigoedito['texto_pregunta']."'><br>
			Posibles respuesta(separadas por comas)<input type='text' name='posibles_respuestas' value='".$extraigoedito['posibles_respuestas']."'><br>
			<input type='submit' name='actualizar' value='Enviar'></form>";
		}
	}	

function eliminarpregunta($id)
{
$id=$_GET['id'];
$query = mysql_query("Delete from preguntas where cod_pregunta=".$id."") or die(mysql_error());
header('location: index_profesor.php?opcion=preguntas');
}

?>